from rest_framework import serializers

from .models import *


class ExecutableSerializer(serializers.ModelSerializer):
    class Meta:
        model = Executable
        fields = ['executable_id', 'cwl_type', 'project', 'type', 'cwl', 'cwl_json']


class JobSerializer(serializers.ModelSerializer):
    class Meta:
        model = Job
        fields = ['job_id', 'project', 'name', 'status', 'description', 'output_text', 'output_code',
                  'cwl', 'repeat', 'interval', 'base_executable', 'setup_command']


class UserJobConfigSerializer(serializers.ModelSerializer):
    class Meta:
        model = UserJobConfig
        fields = ['user_job_config_id', 'job', 'ssh_login', 'directory']
