from django.db import models
from heliport.models import Project


class DigitalObject(models.Model):
    digital_object_id = models.AutoField(primary_key=True)
    project = models.ForeignKey(Project, on_delete=models.CASCADE)
    handle = models.CharField(max_length=100, null=True, blank=True)
    relation = models.TextField()
    category = models.TextField()
    description = models.TextField()
