from rest_framework import serializers

from .models import *


class GateProjectSerializer(serializers.ModelSerializer):
    class Meta:
        model = GateProject
        fields = ['gate_id', 'title', 'status', 'proposer', 'co_proposer', 'abstract', 'proposal', 'restricted', 'responsible_experimentalist', 'local_contacts', 'project']


class GateUserSerializer(serializers.ModelSerializer):
    class Meta:
        model = GateUser
        fields = ['gate_user_id', 'gate_id', 'heliport_user']
