from rest_framework import serializers

from .models import *


class ProjectSerializer(serializers.ModelSerializer):
    class Meta:
        model = Project
        fields = ['project_id', 'hzdr_id', 'project_name', 'created', 'deleted', 'description', 'group', 'owner',
                  'co_owner', 'handle']


class UserSerializer(serializers.ModelSerializer):
    class Meta:
        model = HeliportUser
        fields = ['user_id', 'authentication_backend_id', 'display_name', 'orcid']


class GroupSerializer(serializers.ModelSerializer):
    class Meta:
        model = Group
        fields = ['group_id']
