from django.db import models

from heliport.models import Project


class DataManagementPlan(models.Model):
    data_management_plan_id = models.AutoField(primary_key=True)
    description = models.TextField()
    link = models.CharField(max_length=100)
    project = models.ForeignKey(Project, on_delete=models.CASCADE)

