from celery import shared_task
from celery import Celery

from . import proposal_management
from .models import ProposalUserQueries, ProposalQueries

@shared_task
def update_gate_projects():
    use_case = proposal_management.UpdateProposalDatabaseUseCase(
        ProposalUserQueries,
        ProposalQueries
    )
    use_case.execute()

    return "OK"
