import environ
from cryptography import fernet

env = environ.Env()


def get_paramiko_krypto_key():
    if 'CRYPTO_KEY' in env:
        return env('CRYPTO_KEY')
    else:
        raise ValueError(f'''No CRYPTO_KEY environment variable specified! Generation example: {
            fernet.Fernet.generate_key().decode()
        }''')
