from django.contrib import admin
from django.urls import path, include
from django.views.i18n import JavaScriptCatalog

urlpatterns = [
    path('admin/', admin.site.urls),
    path('i18n/', include('django.conf.urls.i18n')),  # for changing language
    path('jsi18n/', JavaScriptCatalog.as_view(), name='javascript-catalog'),  # for gettext() in javascript
    path('', include('heliport.urls')),
    path('', include('included_urls')),
]
