from django.db import models

from heliport.models import Project


class VersionControl(models.Model):
    version_control_id = models.AutoField(primary_key=True)
    name = models.CharField(max_length=50)
    link = models.CharField(max_length=100)
    project = models.ForeignKey(Project, on_delete=models.CASCADE)
